Subject: Re: 31.0.50; Change in fit-frame-to-buffer doesn't work with transient-posframe

From: martin rudalics <[email-masked]>
Date: Mon, 19 May 2025 15:45:55 +0200

>> When on macOS with 'frame-resize-pixelwise' nil you drag a frame border
 >> with the mouse, does it resize by pixels or by character increments?
 >
 > I think it resizes to character bounds with frame-resize-pixelwise nil,
 > and to pixels with it being t.

But did you try?  I see PResizeInc defined in nsgui.h but I nowhere see
it used.  Same goes for Wayland builds.  AFAICT size increments are only
recognized by X11.  Everywhere else they are a pure nuisance.

 > For transient-posframe child frames, when f-r-p is nil. things go wrong
 > because Posframe binds frame-resize-pixelwise to t, and transient uses
 > the default nil when fit-frame-to-buffer is called. That's what I showed
 > in the screen shot.

That's a different issue.  If 'frame-resize-pixelwise' is nil,
'fit-frame-to-buffer-1' does all that silly rounding which blows frames
up in your case.

martin